-- ----------------------------------------------------------------------------
layoutPorchWindow.mExits =
{
}
layoutPorchWindow.mPOIs = 
{
	[objectPorchWindowMechRusty] = 
	{	
		target = layoutPorchWindowMechdetail,
		mirrors = {objectPorchWindowMechClean, 
				   objectPorchWindowMechScrew, objectPorchWindowMechScrewAffix},
	},
}
layoutPorchWindow.mHOs = 
{
}
layoutPorchWindow.mIOs =
{
}
-- ----------------------------------------------------------------------------
function layoutPorchWindow:onConstruct()

	Layout.onConstruct(self)

	objectPorchWindowMechClean:ss(kInactive)
	objectPorchWindowMechScrew:ss(kInactive)
	objectPorchWindowMechScrewAffix:ss(kInactive)

end
-- ----------------------------------------------------------------------------
function layoutPorchWindow:onShow()

	Layout.onShow(self)

	-- end highlight
	objectPorchMechRustShine:ss(kDone)
	
end

